Subject: RE: docbook xml toolchain
From: "Andreas" <[email-masked]>
To: <[email-masked]>
Cc: "Patrick Eisenacher" <[email-masked]>
Date: Wed, 14 May 2003 09:23:31 -0300

Hello Patrick,

> Hi Andreas,
>
> glad to hear that you managed to get the latest passivetex alive &
> kickin on cygwin. Just for completeness, here are the answers to your
> questions:
>
> Andreas schrieb:
> >
> > Hmmm, sounds good, I guess /bin/fmtutil needs to be patched,
> right? There
> > are other files related to fmtutil.cnf:
> > /usr/share/texmf/web2c/fmtutil.cnf.cygwin-dist
> > /usr/share/texmf/web2c/fmtutil.cnf.cygwin-orig
> > /usr/share/texmf/web2c/fmtutil.cnf.orig
>
> Actually, the file's name is fmtutil.cnf, but Windows strangely doesn't
> give you its extension. Leave the other ones alone. They are not used.

Yes, I realized this shortly after sending this question.

> > Let´s assume that I found the lines that needs a fix and put this in
> > DocbookCygwinFmtutil.diff, does a simple
> > patch -N -u /usr/share/texmf/web2c/fmtutil.cnf DocbookCygwinFmtutil.diff
> > would be sufficient or should I rerun your script (further
> dependencies in
> > the process of buliding the passivetex stuff?)?
>
> You have to call
>
> mktexlsr
> texconfig confall
> texconfig rehash
> texconfig init
>
> after patching, otherwise your modifications won't be reflected in tex's
> configuration tables.
>
> > Would a second, third,... run of your install script potentially break
> > things that were created at the first run?
>
> No, if patch (the executable) realizes that a patch has already been
> applied, it ignores it. You can safely rerun a patch.

Well, and this was what I was thinking and just closed my eyes and fired up
the script a few times (before each run I did a cp
/usr/share/texmf/web2c/fmtutil.cnf.cygwin-orig
/usr/share/texmf/web2c/fmtutil.cnf). And now I know that it won´t hurt ;)

> [snip]
>
> > I just converted the fo file into pdf using fop and it is
> nicely formatted.
>
> My impression based on the feedback on the docbook-apps mailing list is
> that fop gets more development than passivetex. But I could be
> completely wrong about this. I haven't done any serious pdf generation.
> I had just set up the docbook pdf toolchain once and gave it a couple of
> tests. Which one (fop/passivetex) gives you the better results?

I have the same impression. Couldn´t find the time to look at the results
closer but I tested it with my small template. One thing I can tell so far
is that fop didn´t create the links of the TOC in the document. ...but I
will test it with "DocBook: The Definitive Guide" [1] after work and let you
know the results.

Prost,
Andreas

> Cheers,
> Patrick

[1] <http://www.docbook.org/tdg/en/>

>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/